# Compatibility

| Host Operating System / Environment | Minimum recommended docker versions | Known issues / tips                                                                                                                                                                                                                                                                                                                                                |
|-------------------------------------|-----------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Linux - general                     | Docker v1.10              |                                                                                                                                                                                                                                                                                                                                                                    |
| Linux - Travis CI                   | Docker v1.10              | See [example .travis.yml](https://raw.githubusercontent.com/testcontainers/testcontainers-java/master/.travis.yml) for baseline Travis CI configuration                                                                                                                                                                                                                                                                                     |
| Linux - Circle CI (LXC driver)      | Docker v1.9.1               | The `exec` feature is not compatible with Circle CI. See [example circle.yml](https://raw.githubusercontent.com/testcontainers/testcontainers-java/master/circle.yml) for baseline CircleCI configuration                                                                                                                                                                                                                                   |
| Linux - within a Docker container            | Docker v1.12              | See [Running inside Docker](usage/inside_docker.md) for the detailed configuration                                                                                                                                                                                                                                 |
| Mac OS X - Docker Toolbox           | Docker Machine v0.8.0  |                                                                                                                                                                                                                                                                                                                                                                    |
| Mac OS X - Docker for Mac      | 1.12.0          | *Support is best-efforts at present*. `getTestHostIpAddress()` is [not currently supported](https://github.com/testcontainers/testcontainers-java/issues/166) due to limitations in Docker for Mac. |
| Windows - Docker Toolbox            |                             | *Support is limited at present and this is not currently tested on a regular basis*.                                                                                                                                                                                                                                                                               |
| Windows - Docker for Windows   |                             | *Support is best-efforts at present.* Only Linux Containers (LCOW) are supported at the moment. See [Windows Support](usage/windows_support.md)                                                                                                                                                                                                                                                                                                                                        |
